%define	modname	omnibook
%define	name	dkms-%{modname}
%define	version	20060208
%define	date	20060208
%define	rel	1
%define	release	%mkrel %{rel}

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	DKMS-ready module adding kernel support for several omnibook-compatible laptops
License:	GPL
Source0:	%{modname}-%{date}.tar.bz2
Url:		http://heanet.dl.sourceforge.net/sourceforge/omke/
Group:		Development/Kernel
Requires(pre):	dkms
Requires(post): dkms
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Buildarch:	noarch

%description
This package contains a DKMS-ready module adding kernel support
for HP OmniBooks, Pavilions, Toshiba Satellites and some
Acer Aspire and Compal laptops

%prep
%setup -q -c -n %{modname}-%{version}
chmod -R go=u-w .

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_usrsrc}/%{modname}-%{version}-%{release}
cp -a %{modname}-%{date}/* %{buildroot}%{_usrsrc}/%{modname}-%{version}-%{release}
cat > %{buildroot}%{_usrsrc}/%{modname}-%{version}-%{release}/dkms.conf <<EOF

PACKAGE_VERSION="%{version}-%{release}"

# Items below here should not have to change with each driver version
PACKAGE_NAME="%{modname}"
MAKE[0]="make -C \${kernel_source_dir} SUBDIRS=\${dkms_tree}/\${PACKAGE_NAME}/\${PACKAGE_VERSION}/build"
CLEAN="make -C \${kernel_source_dir} SUBDIRS=\${dkms_tree}/\${PACKAGE_NAME}/\${PACKAGE_VERSION}/build clean"
BUILT_MODULE_NAME[0]="\$PACKAGE_NAME"
DEST_MODULE_LOCATION[0]="/kernel/drivers/char/omnibook"
REMAKE_INITRD="no"
AUTOINSTALL="YES"
EOF

%post
#if [ $1 == 1 ]
#then 
  dkms add -m %{modname} -v %{version}-%{release} --rpm_safe_upgrade
  dkms build -m %{modname} -v %{version}-%{release} --rpm_safe_upgrade
  dkms install -m %{modname} -v %{version}-%{release} --rpm_safe_upgrade
#fi


%preun
#if [ $1 == 0 ]
#  then
  dkms remove -m %{modname} -v %{version}-%{release} --rpm_safe_upgrade --all
#fi

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%docdir %{_usrsrc}/%{modname}-%{version}-%{release}/doc
/usr/src/%{modname}-%{version}-%{release}


%changelog
* Tue Oct 31 2006 Stefan van der Eijk <stefan@mandriva.org> 20060208-1mdv2007.0
+ Revision: 74066
- 20060208
- Import dkms-omnibook



* Thu Apr 20 2006 Vincent Panel <yohonet@gmail.com> 20060126-2mdk
- Fixed URL
- Use the %{_usrsrc} tag
- Add AUTOINSTALL="YES"
- Fixed %doc

* Mon Apr 17 2006 Vincent Panel <yohonet@gmail.com> 20060126-1mdk
- Initial package
